### Signal

# WebKit2WebExtension ScriptWorld::window-object-cleared

since: 2.2

#### Declaration

    void
    window_object_cleared (
      WebKitScriptWorld* self,
      WebKit2WebExtensionWebPage* page,
      WebKitFrame* frame,
      gpointer user_data
    )

#### Description [src]

Emitted when the JavaScript window object in a `WebKitScriptWorld` has been cleared. This is the preferred place to set custom properties on the window object using the JavaScriptCore API. You can get the window object of `frame` from the JavaScript execution context of `world` that is returned by webkit_frame_get_js_context_for_script_world().

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.2

#### Parameters

`page`

  Type: `WebKitWebPage`

  A `WebKitWebPage`.

  The data is owned by the caller of the function.

`frame`

  Type: `WebKitFrame`

  The `WebKitFrame` to which `world` belongs.

  The data is owned by the caller of the function.